Returns details of a specific workflow including its step definitions.
curl --request GET \
--url https://api.strait.dev/v1/workflows/{workflowID} \
--header 'Authorization: Bearer <token>'{
"created_at": "2023-11-07T05:31:56Z",
"enabled": true,
"id": "<string>",
"name": "<string>",
"project_id": "<string>",
"slug": "<string>",
"steps": [
{
"created_at": "2023-11-07T05:31:56Z",
"depends_on": [
"<string>"
],
"id": "<string>",
"on_failure": "<string>",
"step_ref": "<string>",
"workflow_id": "<string>",
"approval_approvers": [
"<string>"
],
"approval_timeout_secs": 123,
"compensation_job_id": "<string>",
"compensation_timeout_secs": 123,
"concurrency_key": "<string>",
"condition": "<unknown>",
"cost_gate_default_action": "<string>",
"cost_gate_threshold_microusd": 123,
"cost_gate_timeout_secs": 123,
"event_emit_key": "<string>",
"event_key": "<string>",
"event_notify_url": "<string>",
"event_timeout_secs": 123,
"expected_duration_secs": 123,
"job_id": "<string>",
"max_nesting_depth": 123,
"output_transform": "<string>",
"payload": "<unknown>",
"resource_class": "<string>",
"retry_backoff": "<string>",
"retry_initial_delay_secs": 123,
"retry_max_attempts": 123,
"retry_max_delay_secs": 123,
"sleep_duration_secs": 123,
"stage_notifications": "<unknown>",
"step_type": "<string>",
"sub_workflow_id": "<string>",
"timeout_secs_override": 123
}
],
"updated_at": "2023-11-07T05:31:56Z",
"version": 123,
"$schema": "<string>",
"backwards_compatible": true,
"created_by": "<string>",
"cron": "<string>",
"cron_timezone": "<string>",
"description": "<string>",
"max_concurrent_runs": 123,
"max_parallel_steps": 123,
"skip_if_running": true,
"tags": {},
"timeout_secs": 123,
"updated_by": "<string>",
"version_id": "<string>",
"version_policy": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.strait.dev/llms.txt
Use this file to discover all available pages before exploring further.
API key passed as Bearer token
OK
Show child attributes
A URL to the JSON Schema for this object.
"https://api.strait.dev/schemas/WorkflowResponse.json"
Show child attributes
curl --request GET \
--url https://api.strait.dev/v1/workflows/{workflowID} \
--header 'Authorization: Bearer <token>'{
"created_at": "2023-11-07T05:31:56Z",
"enabled": true,
"id": "<string>",
"name": "<string>",
"project_id": "<string>",
"slug": "<string>",
"steps": [
{
"created_at": "2023-11-07T05:31:56Z",
"depends_on": [
"<string>"
],
"id": "<string>",
"on_failure": "<string>",
"step_ref": "<string>",
"workflow_id": "<string>",
"approval_approvers": [
"<string>"
],
"approval_timeout_secs": 123,
"compensation_job_id": "<string>",
"compensation_timeout_secs": 123,
"concurrency_key": "<string>",
"condition": "<unknown>",
"cost_gate_default_action": "<string>",
"cost_gate_threshold_microusd": 123,
"cost_gate_timeout_secs": 123,
"event_emit_key": "<string>",
"event_key": "<string>",
"event_notify_url": "<string>",
"event_timeout_secs": 123,
"expected_duration_secs": 123,
"job_id": "<string>",
"max_nesting_depth": 123,
"output_transform": "<string>",
"payload": "<unknown>",
"resource_class": "<string>",
"retry_backoff": "<string>",
"retry_initial_delay_secs": 123,
"retry_max_attempts": 123,
"retry_max_delay_secs": 123,
"sleep_duration_secs": 123,
"stage_notifications": "<unknown>",
"step_type": "<string>",
"sub_workflow_id": "<string>",
"timeout_secs_override": 123
}
],
"updated_at": "2023-11-07T05:31:56Z",
"version": 123,
"$schema": "<string>",
"backwards_compatible": true,
"created_by": "<string>",
"cron": "<string>",
"cron_timezone": "<string>",
"description": "<string>",
"max_concurrent_runs": 123,
"max_parallel_steps": 123,
"skip_if_running": true,
"tags": {},
"timeout_secs": 123,
"updated_by": "<string>",
"version_id": "<string>",
"version_policy": "<string>"
}